#
# spec file for package wine-gecko
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           wine-gecko
Summary:        The Wine specific Gecko HTML rendering engine
License:        MPL-1.1+
Group:          Development/Tools/Other
Version:        2.47.4
Release:        1.6
# not needed with unpacked tree.
#Source0:        http://dl.winehq.org/wine/wine-gecko/%{version}/wine-gecko-%{version}-x86.msi
#Source1:        http://dl.winehq.org/wine/wine-gecko/%{version}/wine-gecko-%{version}-x86_64.msi

Source2:        http://dl.winehq.org/wine/wine-gecko/%{version}/wine-gecko-%{version}-x86.tar.xz
Source3:        http://dl.winehq.org/wine/wine-gecko/%{version}/wine-gecko-%{version}-x86_64.tar.xz
BuildArch:      noarch
# Source of this CAB is at:
# http://wine.git.sourceforge.net/git/gitweb.cgi?p=wine/wine-gecko;a=summary
# build instructions are at http://wiki.winehq.org/BuildingWineGecko
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Supplements:    wine
Supplements:    wine-snapshot

%description
This package contains the prepackaged Win32 Gecko rendering engine for use by Wine.

%prep

%install
mkdir -p $RPM_BUILD_ROOT/usr/share/wine/gecko
# the MSI files are not needed
#cp %{SOURCE0} $RPM_BUILD_ROOT/usr/share/wine/gecko
#cp %{SOURCE1} $RPM_BUILD_ROOT/usr/share/wine/gecko

tar xf %{SOURCE2} -C $RPM_BUILD_ROOT/usr/share/wine/gecko
tar xf %{SOURCE3} -C $RPM_BUILD_ROOT/usr/share/wine/gecko

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%dir /usr/share/wine
%dir /usr/share/wine/gecko
/usr/share/wine/gecko/*

%changelog
* Mon Apr 17 2023 Marcus Meissner <meissner@suse.com>
- updated for wine 8.6
* Sat Jul 16 2022 Marcus Meissner <meissner@suse.com>
- updated for wine 7.13.
* Mon Dec 28 2020 Marcus Meissner <meissner@suse.com>
- the MSI files are not needed if we have the unpacked tree, save
  diskspace...
* Wed Dec 23 2020 Marcus Meissner <meissner@suse.com>
- also provide unpacked shared gecko x86 and x86_64.
* Sat Dec  5 2020 Marcus Meissner <meissner@suse.com>
- update to 2.47.2 for 6.0rc1
* Fri Jan  3 2020 Marcus Meissner <meissner@suse.com>
- update to 2.47.1
* Fri Jun 24 2016 meissner@suse.com
- update to 2.47 (Firefox 47 based) for Wine 1.9.13
* Mon Mar 21 2016 dimesio@earthlink.net
- update to 2.44 (Firefox 44 based) for Wine 1.9.3
* Mon Sep  7 2015 meissner@suse.com
- update to 2.40 (Firefox 40 based) for Wine 1.7.50
* Fri Mar  6 2015 meissner@suse.com
- updated to 2.36 (Firefox 36 based) for Wine 1.7.38
* Wed Nov 12 2014 meissner@suse.com
- updated to 2.34 for Wine 1.7.30
* Fri Sep 27 2013 meissner@suse.com
- Updated to 2.24 for Wine 1.7.3 and later.
* Sat May 25 2013 meissner@suse.com
- Updated to 2.21 for Wine 1.5.31 and later.
* Tue May 21 2013 meissner@suse.com
- License MPL-1.1+ (just like mozilla)
* Fri Jan 18 2013 meissner@suse.com
- Include 1.9 gecko for 1.5.22 or later (FF 18 based)
* Tue Oct 16 2012 meissner@suse.com
- Include 1.8 gecko for 1.5.15 or later (FF 16 based)
* Tue Jul 31 2012 meissner@suse.com
- Include 1.7 gecko for 1.5.10 or later (FF 14 based)
* Sun Jun 24 2012 meissner@suse.com
- Include 1.6 gecko for 1.5.7 or later. (FF 13 based)
* Mon Mar 26 2012 meissner@suse.de
- Include 1.5 gecko version for 1.5.0 and later.
* Wed Nov  9 2011 meissner@suse.de
- Include 1.4 gecko version for 1.3.33 and later.
* Wed Aug 31 2011 meissner@suse.de
- Include 1.3 gecko versions for 1.3.27 and later.
* Thu Mar 17 2011 meissner@suse.de
- 1.2.0 version update for Wine 1.3.16 and later
* Wed Jan 12 2011 dmueller@suse.de
- require wine
* Wed Nov 10 2010 meissner@suse.de
- buildarch -> noarch to avoid having it twice on the repos
* Tue Sep 28 2010 meissner@suse.de
- also ship the x86_64 gecko cab (in same 32bit RPM).
* Sat Sep 25 2010 meissner@novell.com
- updated to 1.1.0 version for Wine 1.3.2 and later
* Fri Nov 13 2009 meissner@suse.de
- Wine specific Win32 build of the Gecko rendering engine.
